Page MenuHomePhabricator

TypeError from line 27 of /srv/mediawiki/tags/2020-06-24_17:40:57/extensions/Thanks/includes/ThanksHooks.php: Argument 1 passed to ThanksHooks::insertThankLink() must be an instance of MediaWiki\Revision\RevisionRecord, bool given
Closed, ResolvedPublic

Description

[2020-06-24 18:34:37] exception.ERROR: [a57662e4e38882c934733cbe] /w/i.php?title=Category:User_lfn-4&diff=654908&oldid=prev   TypeError from line 27 of /srv/mediawiki/tags/2020-06-24_17:40:57/extensions/Thanks/includes/ThanksHooks.php: Argument 1 passed to ThanksHooks::insertThankLink() must be an instance of MediaWiki\Revision\RevisionRecord, bool given, called in /srv/mediawiki/tags/2020-06-24_17:40:57/includes/HookContainer/HookContainer.php on line 320 {"exception":"[object] (TypeError(code: 0): Argument 1 passed to ThanksHooks::insertThankLink() must be an instance of MediaWiki\\Revision\\RevisionRecord, bool given, called in /srv/mediawiki/tags/2020-06-24_17:40:57/includes/HookContainer/HookContainer.php on line 320 at /srv/mediawiki/tags/2020-06-24_17:40:57/extensions/Thanks/includes/ThanksHooks.php:27)
[stacktrace]
#0 /srv/mediawiki/tags/2020-06-24_17:40:57/includes/HookContainer/HookContainer.php(320): ThanksHooks::insertThankLink(false, Array, Object(MediaWiki\\Revision\\RevisionStoreRecord), Object(User))
#1 /srv/mediawiki/tags/2020-06-24_17:40:57/includes/HookContainer/HookContainer.php(131): MediaWiki\\HookContainer\\HookContainer->callLegacyHook('DiffTools', Array, Array, Array)
#2 /srv/mediawiki/tags/2020-06-24_17:40:57/includes/HookContainer/HookRunner.php(1504): MediaWiki\\HookContainer\\HookContainer->run('DiffTools', Array)
#3 /srv/mediawiki/tags/2020-06-24_17:40:57/includes/diff/DifferenceEngine.php(779): MediaWiki\\HookContainer\\HookRunner->onDiffTools(false, Array, Object(MediaWiki\\Revision\\RevisionStoreRecord), Object(User))
#4 /srv/mediawiki/tags/2020-06-24_17:40:57/includes/page/Article.php(976): DifferenceEngine->showDiffPage(false)
#5 /srv/mediawiki/tags/2020-06-24_17:40:57/includes/page/Article.php(657): Article->showDiffPage()
#6 /srv/mediawiki/tags/2020-06-24_17:40:57/includes/page/CategoryPage.php(63): Article->view()
#7 /srv/mediawiki/tags/2020-06-24_17:40:57/includes/actions/ViewAction.php(74): CategoryPage->view()
#8 /srv/mediawiki/tags/2020-06-24_17:40:57/includes/MediaWiki.php(527): ViewAction->show()
#9 /srv/mediawiki/tags/2020-06-24_17:40:57/includes/MediaWiki.php(313): MediaWiki->performAction(Object(CategoryPage), Object(Title))
#10 /srv/mediawiki/tags/2020-06-24_17:40:57/includes/MediaWiki.php(986): MediaWiki->performRequest()
#11 /srv/mediawiki/tags/2020-06-24_17:40:57/includes/MediaWiki.php(543): MediaWiki->main()
#12 /srv/mediawiki/tags/2020-06-24_17:40:57/index.php(47): MediaWiki->run()
#13 {main}

Event Timeline

Restricted Application added a project: Growth-Team. · View Herald TranscriptJun 24 2020, 6:37 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
BPirkle added a subscriber: BPirkle.

@DannyS712 , moved this to CPT watching, but please reach out to us if we can help.

Found the issue, patch coming momentarily

Restricted Application added a project: User-DannyS712. · View Herald TranscriptJun 24 2020, 10:04 PM

Change 607628 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] DifferenceEngine: Call DiffTools hook with correct parameter order

https://gerrit.wikimedia.org/r/607628

@DannyS712 , moved this to CPT watching, but please reach out to us if we can help.

Can CPT please review the patch?

Change 607628 merged by jenkins-bot:
[mediawiki/core@master] DifferenceEngine: Call DiffTools hook with correct parameter order

https://gerrit.wikimedia.org/r/607628

So the original error was fixed, but now its

[XvP7dqwQBHcAAD2cK0UAAAAU] /w/index.php?title=Talk:Test-conflict-0.515507231352692-I%C3%B1t%C3%ABrn%C3%A2ti%C3%B4n%C3%A0liz%C3%A6ti%C3%B8n&oldid=431772&diff=prev TypeError from line 27 of /srv/mediawiki/php-master/extensions/Thanks/includes/ThanksHooks.php: Argument 3 passed to ThanksHooks::insertThankLink() must be an instance of MediaWiki\Revision\RevisionRecord or null, boolean given, called in /srv/mediawiki/php-master/includes/HookContainer/HookContainer.php on line 320

Backtrace:

#0 /srv/mediawiki/php-master/includes/HookContainer/HookContainer.php(320): ThanksHooks::insertThankLink(MediaWiki\Revision\RevisionStoreRecord, array, boolean, User)
#1 /srv/mediawiki/php-master/includes/HookContainer/HookContainer.php(131): MediaWiki\HookContainer\HookContainer->callLegacyHook(string, array, array, array)
#2 /srv/mediawiki/php-master/includes/HookContainer/HookRunner.php(1504): MediaWiki\HookContainer\HookContainer->run(string, array)
#3 /srv/mediawiki/php-master/includes/diff/DifferenceEngine.php(782): MediaWiki\HookContainer\HookRunner->onDiffTools(MediaWiki\Revision\RevisionStoreRecord, array, boolean, User)
#4 /srv/mediawiki/php-master/includes/page/Article.php(976): DifferenceEngine->showDiffPage(boolean)
#5 /srv/mediawiki/php-master/includes/page/Article.php(657): Article->showDiffPage()
#6 /srv/mediawiki/php-master/includes/actions/ViewAction.php(74): Article->view()
#7 /srv/mediawiki/php-master/includes/MediaWiki.php(527): ViewAction->show()
#8 /srv/mediawiki/php-master/includes/MediaWiki.php(313): MediaWiki->performAction(Article, Title)
#9 /srv/mediawiki/php-master/includes/MediaWiki.php(986): MediaWiki->performRequest()
#10 /srv/mediawiki/php-master/includes/MediaWiki.php(543): MediaWiki->main()
#11 /srv/mediawiki/php-master/index.php(47): MediaWiki->run()
#12 /srv/mediawiki/w/index.php(3): require(string)
#13 {main}

Change 607649 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] DifferenceEngine: Don't pass false to DiffTools hook

https://gerrit.wikimedia.org/r/607649

Change 607649 merged by jenkins-bot:
[mediawiki/core@master] DifferenceEngine: Don't pass false to DiffTools hook

https://gerrit.wikimedia.org/r/607649

DannyS712 closed this task as Resolved.Jun 25 2020, 11:18 AM
DannyS712 removed a project: Patch-For-Review.